## gate.gui
Class ResourceParametersEditor.ParameterValueEditor

    java.lang.Object
      |
      +--javax.swing.AbstractCellEditor
            |
            +--gate.gui.ResourceParametersEditor.ParameterValueEditor

All Implemented Interfaces:
  CellEditor, Serializable, TableCellEditor

Enclosing class:
  ResourceParametersEditor

class ResourceParametersEditor.ParameterValueEditor
extends AbstractCellEditor
implements TableCellEditor

See Also:
  Serialized Form

Field Summary
`(package private) JComboBox` `combo` Combobox use as editor for Gate objects (chooses between instances)
`(package private) boolean` `comboUsed`
`(package private) JButton` `fileButton`
`(package private) JFileChooser` `fileChooser` A pointer to the filechooser from MainFrame;
`(package private) JLabel` `label` Editor used for boolean values
`(package private) JButton` `listButton`
`(package private) ListEditorDialog` `listEditor`
`(package private) boolean` `listUsed`
`(package private) List` `listValue`
`(package private) JPanel` `textButtonBox`
`(package private) JTextField` `textField` Generic editor for all types that are not treated special
`(package private) String` `type` The type of the value currently being edited

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`(package private)` `ResourceParametersEditor.ParameterValueEditor()`

Method Summary
`Object` `getCellEditorValue()`
`Component` `getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)`
`protected String` `textForList(List list)` Gets a string representation for a list value

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, cancelCellEditing, fireEditingCanceled, fireEditingStopped, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, cancelCellEditing, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Field Detail

### type

    String type

  The type of the value currently being edited

### combo

    JComboBox combo

  Combobox use as editor for Gate objects (chooses between instances)

### label

    JLabel label

  Editor used for boolean values

### textField

    JTextField textField

  Generic editor for all types that are not treated special

### fileChooser

    JFileChooser fileChooser

  A pointer to the filechooser from MainFrame;

### listEditor

    ListEditorDialog listEditor

### listValue

    List listValue

### comboUsed

    boolean comboUsed

### listUsed

    boolean listUsed

### fileButton

    JButton fileButton

### listButton

    JButton listButton

### textButtonBox

    JPanel textButtonBox

Constructor Detail

### ResourceParametersEditor.ParameterValueEditor

    ResourceParametersEditor.ParameterValueEditor()

Method Detail

### getTableCellEditorComponent

    public Component getTableCellEditorComponent(JTable table,
                                                 Object value,
                                                 boolean isSelected,
                                                 int row,
                                                 int column)

  Specified by:
    `getTableCellEditorComponent` in interface `TableCellEditor`

### textForList

    protected String textForList(List list)

  Gets a string representation for a list value

### getCellEditorValue

    public Object getCellEditorValue()

  Specified by:
    `getCellEditorValue` in interface `CellEditor`
  Overrides:
    `getCellEditorValue` in class `AbstractCellEditor`